﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoatDeath : MonoBehaviour {

    private int waterLayer;

    public bool isBattleship = false;

    public int battleshipHitpoints = 5;

    // Use this for initialization
    void Start () {
        waterLayer = LayerMask.NameToLayer("Water");
    }
	
	// Update is called once per frame
	void Update () {
        if (!isBattleship)
        {
            Vector3 rayOrigin = new Vector3(transform.position.x, 10.0f, transform.position.z);

            Ray waterRay = new Ray(rayOrigin, -Vector3.up);

            RaycastHit hit;

            if (Physics.Raycast(waterRay, out hit, 20f, 1 << waterLayer))
            {

                if (hit.point.y > transform.position.y + 0.2f)
                {
                    Debug.Log("Beneath the surface. SINK");
                    Die();
                }
                else if (Mathf.Abs(hit.point.y - transform.position.y) < 0.2f)
                {
                    if (Vector3.Angle(transform.up, Vector3.up) > 90.0f)
                    {
                        Debug.Log("Tilting too much. SINK");
                        Die();
                    }
                }
            }
        }
        else
        {
            BattleshipUpdate();
        }
    }

    void BattleshipUpdate()
    {
        if (battleshipHitpoints <= 0)
        {
            Die();
        }
    }

    void Die()
    {
        BoatMovement move = GetComponent<BoatMovement>();

        if (move)
        {
            move.enabled = false;
        }

        Buoyancy buo = GetComponent<Buoyancy>();

        if (buo)
        {
            buo.force *= 0.45f;
        }

        TurretAim aim = GetComponent<TurretAim>();

        if (aim)
        {
            aim.enabled = false;
        }

        /*TurretShoot shoot = GetComponent<TurretShoot>();

        if (shoot)
        {
            shoot.enabled = false;
        }*/

        this.enabled = false;
    }
}
