﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MeshDeformerInput : MonoBehaviour {
    public float force = 1f;

    public ParticleSystem splash;

	// Use this for initialization
	void Start () {
        if (splash == null)
        {
            splash = GetComponentInChildren<ParticleSystem>();
        }

        Valve.VR.InteractionSystem.Interactable interactable = GetComponent<Valve.VR.InteractionSystem.Interactable>();
        interactable.onAttachedToHand += Interactable_onAttachedToHand;
    }

    private void Interactable_onAttachedToHand(Valve.VR.InteractionSystem.Hand hand)
    {
        force = 1.0f;
    }
	
	// Update is called once per frame
	void Update () {
        foreach (Collider other in Physics.OverlapSphere(transform.position, 0.2f))
        {
            MeshDeformer deformer = other.GetComponent<MeshDeformer>();

            if (deformer)
            {
                Vector3 velocity = new Vector3(0,0,0);

                Rigidbody rb = GetComponent<Rigidbody>();
                if (rb)
                {
                    velocity = rb.velocity;
                }
                else
                {
                    Valve.VR.InteractionSystem.VelocityEstimator estimator = GetComponent<Valve.VR.InteractionSystem.VelocityEstimator>();

                    if (estimator)
                    {
                        velocity = estimator.GetVelocityEstimate();
                    }
                }

                Vector3 point = transform.position;
                deformer.AddDeformingForce(point, velocity * force);

                if (splash && velocity.magnitude > 1.0f)// && !splash.isPlaying)
                {
                    Instantiate(splash, transform.position, Quaternion.Euler(-90, 0, 0));
                }
            }
        }
    }
}
