﻿using System.Collections;
using System.Collections.Generic;
using Valve.VR.InteractionSystem;
using UnityEngine;

public class PlayerControlledSpawner : MonoBehaviour {

    public Transform[] prefabsToSpawn;

    private Player player;

    // Use this for initialization
    void Start () {
        player = Player.instance;
	}
	
	// Update is called once per frame
	void Update () {
        foreach (Hand hand in player.hands)
        {
            if (hand.isActiveAndEnabled)
            {
                if (hand.controller != null)
                {
                    if (hand.controller.GetPressDown(Valve.VR.EVRButtonId.k_EButton_Grip))
                    {
                        Transform prefab = prefabsToSpawn[Random.Range(0, prefabsToSpawn.Length)];
                        Instantiate(prefab, hand.transform.position, hand.transform.rotation);

                    }
                }
            }
        }
	}
}
