﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnGroup : MonoBehaviour
{
    public Transform[] spawnPoints;
    public Transform[] randomSpawnPoints;

    public BoatDeath[] prefabs;

    private BoatDeath[] boats;

    public void Spawn()
    {
        boats = new BoatDeath[spawnPoints.Length + randomSpawnPoints.Length];
        for (int i = 0; i < spawnPoints.Length; ++i)
        {
            Transform spawn = spawnPoints[i];

            BoatDeath prefab;

            if (i < prefabs.Length)
            {
                prefab = prefabs[i];
            }
            else
            {
                prefab = prefabs[Random.Range(0, prefabs.Length)];
            }

            boats[i] = Instantiate<BoatDeath>(prefab, spawn.position, spawn.rotation); 
        }


        for (int i = spawnPoints.Length; i < boats.Length; ++i)
        {
            Transform spawn = randomSpawnPoints[i];

            BoatDeath prefab;
            
                prefab = prefabs[Random.Range(0, prefabs.Length)];

            boats[i] = Instantiate<BoatDeath>(prefab, spawn.position, spawn.rotation);
        }
    }

    public int GetNumBoats()
    {
        int count = 0;
        foreach (BoatDeath boat in boats)
        {
            if (boat && boat.enabled)
            {
                ++count;
            }
        }

        return count;
    }

    public int GetMaxNumBoats()
    {
        return boats.Length;
    }
}
